#include <iostream>

int main() {
	int n;
	std::cin >> n;
	long long bukiety_o_reszcie[3] {};
	for (int i = 0; i < n; i++) {
		int rozmiar;
		std::cin >> rozmiar;
		bukiety_o_reszcie[rozmiar % 3]++;
	}
	std::cout << (bukiety_o_reszcie[0] * (bukiety_o_reszcie[0] - 1) 
		/ 2 + bukiety_o_reszcie[1] * bukiety_o_reszcie[2]) << '\n';
	return 0;
}
